# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate libc

Name:           rust-%{crate}
Version:        0.2.46
Release:        1%{?dist}
Summary:        Library for types and bindings to native C functions

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libc
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No rustc workspace hack
Patch0:         libc-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  glibc-devel

%global _description \
A library for types and bindings to native C functions often found in libc or\
other common platform libraries.

%description %{_description}

%package        devel
Summary:        %{summary}
Requires:       glibc-devel
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+align-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+align-devel %{_description}

This package contains library source intended for building other packages
which use "align" feature of "%{crate}" crate.

%files       -n %{name}+align-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages
which use "use_std" feature of "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.2.46-1
- Update to 0.2.46

* Mon Dec 10 2018 Josh Stone <jistone@redhat.com> - 0.2.45-1
- Update to 0.2.45

* Mon Nov 26 2018 Josh Stone <jistone@redhat.com> - 0.2.44-1
- Update to 0.2.44

* Fri Oct 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.43-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.43-2
- Run tests in infrastructure

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.2.43-1
- Update to 0.2.43

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 05 2018 Josh Stone <jistone@redhat.com> - 0.2.42-1
- Update to 0.2.42

* Fri May 25 2018 Josh Stone <jistone@redhat.com> - 0.2.41-1
- Update to 0.2.41

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 0.2.40-1
- Update to 0.2.40

* Tue Mar 06 2018 Josh Stone <jistone@redhat.com> - 0.2.39-1
- Update to 0.2.39

* Tue Feb 27 2018 Josh Stone <jistone@redhat.com> - 0.2.37-1
- Update to 0.2.37

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.36-1
- Update to 0.2.36

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.35-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.35-1
- Update to 0.2.35

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.34-1
- Update to 0.2.34

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.33-2
- Add BuildRequires/Requires for glibc-devel

* Wed Nov 01 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.33-1
- Update to 0.2.33

* Fri Oct 27 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.32-1
- Update to 0.2.32

* Fri Jul 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.26-1
- Update to 0.2.26

* Fri Jul 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.25-1
- Update to 0.2.25

* Sun Jun 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.24-1
- Update to 0.2.24

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.23-1
- Update to 0.2.23

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.21-2
- Port to use rust-packaging

* Sun Mar 05 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.21-1
- Update to 0.2.21

* Fri Feb 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.20-3
- Strip unneeded files

* Sun Feb 12 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.20-2
- Add license files
- Fix license tag

* Sun Feb 12 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.20-1
- Initial package
